@use crate::templates::base;
@use crate::templates::home_categories;
@use crate::home_page::HomePage;
@use crate::Urler;

@(home: &HomePage, url: &Urler)

@:base(&home.page(), {
    <header id="home">
        <div class="inner-col" role="banner">
            <h1>Crates.rs</h1>
            <p>A fast, lightweight, site to browse most popular <a href="https://rust-lang.org">Rust</a> libraries and applications. Unofficial, opinionated alternative to crates.io</p>
            <form role="search" id=search method="get" action="/search">
                <input autofocus placeholder="name, keywords, description" autocapitalize="off" autocorrect="off" autocomplete="off" tabindex="1" type=search name=q><button type=submit>Search</button>
            </form>
        </div>
    </header>

    <main>
        <section id="home-categories">
            <div class="inner-col">
                <ul class=cat role="navigation">
                @:home_categories(&home.all_categories(), url, true)
                </ul>
            </div>
        </section>
    </main>

    <footer>
        <div class="inner-col" role="contentinfo">
        <p>By <a href=https://kornel.ski>kornelski</a>. (<a href="https://gitlab.com/crates.rs">Source code</a>)</p></div></footer>
})
